
QGIS Application - Bug report #18287

QGIS crashes when deleting multiple items in layout

2018-03-01 02:23 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26178

Description

User Feedback

I have a project from 2.x that i am now using under 3.1

In one of the preexisting A3 layout, I added a new A0 page and placed items on it

Then because I only want to export the A0 page, I duplicate that layout.

In the newly created layout, using click and drag I selected all the items of the first page (A3) and press DEL

Then KABOOM!!!

Report Details

Crash ID: f3cb1b9545669f83f5d2ceefb7d03f7c0926bf5b

Stack Trace

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsMapToolSvgAnnotation::qt_metacast :

QgsMapToolSvgAnnotation::qt_metacast :

QgsMapToolSvgAnnotation::qt_metacast :

QgsMapToolSvgAnnotation::qt_metacast :

QMetaObject::activate :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsAdvancedDigitizingDockWidget::activateCad :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

QWidgetLineControl::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsSymbolRenderContext::outputUnit :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsAdvancedDigitizingDockWidget::activateCad :

QgsMapToolSvgAnnotation::qt_metacast :

QgsMapToolSvgAnnotation::qt_metacast :
QgsMapToolSvgAnnotation::qt_metacast :

QgsMapToolSvgAnnotation::qt_metacast :

QMetaObject::activate :

QAction::activate :

QAction::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsSymbolRenderContext::outputUnit :

QCoreApplication::notifyInternal2 :

QShortcutMap::dispatchEvent :

QShortcutMap::tryShortcut :

QWindowSystemInterface::handleShortcutEvent :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsMapToolSvgAnnotation::qt_metacast :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.1.0-Master

QGIS code revision: commit:2af9c40882

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-03-01 02:24 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2018-06-11 06:14 PM - Alessandro Pasotti

Can you share a test project?

#3 - 2018-06-11 06:14 PM - Alessandro Pasotti

- Status changed from Open to Feedback

#4 - 2018-08-16 10:38 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
